| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SoEnvironmentElement Class Reference
Element Classes

The SoEnvironmentElement class is yet to be documented.FIXME: write doc. More...

`#include <Inventor/elements/SoEnvironmentElement.h>`

Inheritance diagram for SoEnvironmentElement:

## Public Types

enum | FogType { NONE, HAZE, FOG, SMOKE }

## Public Member Functions

virtual void | init (SoState *state)
| FIXME: write doc.
virtual void | print (FILE *file) const
| FIXME: write doc.
Public Member Functions inherited from SoReplacedElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo () const
uint32_t | getNodeId () const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const float ambientIntensity, const SbColor &ambientColor, const SbVec3f &attenuation, const int32_t fogType, const SbColor &fogColor, const float fogVisibility, const float fogStart=0.0f)
| FIXME: write doc.
static void | get (SoState *const state, float &ambientIntensity, SbColor &ambientColor, SbVec3f &attenuation, int32_t &fogType, SbColor &fogColor, float &fogVisibility, float &fogStart)
| FIXME: write doc.
static float | getAmbientIntensity (SoState *const state)
| FIXME: write doc.
static float | getFogVisibility (SoState *const state)
| FIXME: write doc.
static const SbVec3f & | getLightAttenuation (SoState *const state)
| FIXME: write doc.
static const SbColor & | getAmbientColor (SoState *const state)
| FIXME: write doc.
static const SbColor & | getFogColor (SoState *const state)
| FIXME: write doc.
static int32_t | getFogType (SoState *const state)
| FIXME: write doc.
static void | getDefault (float &ambientIntensity, SbColor &ambientColor, SbVec3f &attenuation, int32_t &fogType, SbColor &fogColor, float &fogVisibility, float &fogNear)
| FIXME: write doc.
Static Public Member Functions inherited from SoReplacedElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions

virtual | ~SoEnvironmentElement ()
virtual void | setElt (SoState *const state, const float ambientIntensity, const SbColor &ambientColor, const SbVec3f &attenuation, const int32_t fogType, const SbColor &fogColor, const float fogVisibility, const float fogNear)
| FIXME: doc.
Protected Member Functions inherited from SoReplacedElement
virtual | ~SoReplacedElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Protected Attributes

float | ambientIntensity
SbColor | ambientColor
SbVec3f | attenuation
int32_t | fogType
SbColor | fogColor
float | fogVisibility
float | fogStart
Protected Attributes inherited from SoReplacedElement
uint32_t | nodeId
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth

## Additional Inherited Members

Static Protected Member Functions inherited from SoReplacedElement
static SoElement * | getElement (SoState *const state, const int stackIndex, SoNode *const node)
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoEnvironmentElement class is yet to be documented.

FIXME: write doc.

## Member Enumeration Documentation

enum SoEnvironmentElement::FogType

FIXME: write doc.

## Constructor & Destructor Documentation

SoEnvironmentElement::~SoEnvironmentElement | ( | void | ) |  |

protectedvirtual

The destructor.

## Member Function Documentation

void * SoEnvironmentElement::createInstance | ( | void | ) |  |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoEnvironmentElement::initClass | ( | void | ) |  |

static

This static method initializes static data for the SoEnvironmentElement class.

## Member Data Documentation

SoEnvironmentElement::ambientIntensity

protected

FIXME: write doc.

SoEnvironmentElement::ambientColor

protected

FIXME: write doc.

SoEnvironmentElement::attenuation

protected

FIXME: write doc.

SoEnvironmentElement::fogType

protected

FIXME: write doc.

SoEnvironmentElement::fogColor

protected

FIXME: write doc.

SoEnvironmentElement::fogVisibility

protected

FIXME: write doc.

SoEnvironmentElement::fogStart

protected

FIXME: write doc.

The documentation for this class was generated from the following files:

- SoEnvironmentElement.h
- SoEnvironmentElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.